-- Star Wars Empire at War: Secrets of a Fallen Empire
-- Lua Script: //Scripts/GameObject/ObjectScript_DespawnIonNebula.lua
-- Author: Galyana
-- Updated: 6 February, 2026

-- Despawns the ion nebula spawned from the hutts emitter satellite via Objectscript_SpawnIonNebula.lua

require("PGStateMachine")
require("PGSpawnUnits")

function Definitions()
	Define_State("State_Init", State_Init)
end

function State_Init(message)
	if message == OnEnter then
--		Find_Nearest_Space_Field(Object_Type, "Asteroid"/"Nebula"/"Ion_Storm")
		ion_storm = Find_Nearest_Space_Field(Object, "Nebula")
		ion_storm.Despawn()
	end
end